<div class="col-md-12">
    <hr>
    <h1>{{titulo}}</h1>
    <hr>

    <div class="alert alert-success" *ngIf="status == 'success'">
        Has modificado tus datos correctamente
    </div>

    <div class="alert alert-danger" *ngIf="status == 'error'">
        No se ha sido podido modificar tu informacion, intentalo mas tarde
    </div>

    <form (ngSubmit)="onSubmit()" class="col-md-4">
        <p>
            <label>Nombre:</label>
            <input type="text" class="form-control" id="name" required  
            [(ngModel)]="user.name" name="name" #name="ngModel" />
            <span [hidden]="name.valid || name.pristine">El nombre es obligatorio</span>
        </p>

        <p>
            <label>Apellidos:</label>
            <input type="text" class="form-control" id="surname" required  
            [(ngModel)]="user.surname" name="surname" #surname="ngModel" />
            <span [hidden]="surname.valid || surname.pristine">El apellido es obligatorio</span>
        </p>
        
        <p>
            <label>Correo electrónico:</label>
            <input type="email" class="form-control" id="email" required  
            [(ngModel)]="user.email" name="email" #email="ngModel" />
            <span [hidden]="email.valid || email.pristine">El correo electrónico es obligatorio</span>
        </p>

        <input type="submit" value="{{titulo}}" class="btn btn-success" />
    </form>
    <div>
        <h4>Imagen de perfil</h4>
        <p>
            <input type="file" placeholder="Subir imagen..." (change)="fileChangeEvent($event)" />
        </p>
        <div class="progress">
            <div id="upload-progress-bar" 
            class="progress-bar progress-bar-success"
            role="progressbar"
            aria-valuenow="0"
            aria-valuemin="0"
            aria-valuemax="100"
            style="width: 0%"></div>
        </div>
        <p id="status"></p>
    </div>
</div>